Bug 117048 - update games/uhexen2 to version 1.4.2
Summary: update games/uhexen2 to version 1.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-09 20:50 UTC by Pedro F. Giffuni
Modified: 2007-10-22 03:30 UTC (History)
0 users

See Also:


Attachments
file.diff (10.45 KB, patch)
2007-10-09 20:50 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2007-10-09 20:50:01 UTC
The latest version of uhexen2 adds support for 64 bit platforms so it is specially interesting for me. I tried to keep the same philosophy of the original port as it served my purpose of maintaining the patch as small as possible.

The package builds and works in my box, but it still should be mentioned (for the maintainer) that:

- the gtk launcher options (off by default) don't seem to work.
- the original code discards using nasm when the platform is not i386 or amd64 so adding this cruft on the port doesn't seem necessary at all.

Fix: patch:
Comment 1 Edwin Groothuis freebsd_committer 2007-10-09 20:50:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alejandro Pulver freebsd_committer 2007-10-21 18:53:40 UTC
State Changed
From-To: open->closed

Committed. Thanks! The launcher was fixed (not a port problem), and the 
X86_ASM stuff is needed for the nasm dependency and conditional plist of 
bin/hexen2 and bin/hwcl, it does not replace the code in the program, 
just complements it.
Comment 3 dfilter service freebsd_committer 2007-10-22 03:20:50 UTC
alepulver    2007-10-21 17:51:02 UTC

  FreeBSD ports repository

  Modified files:
    games/uhexen2        Makefile distinfo pkg-plist 
    games/uhexen2/files  patch-hexen2__Makefile 
                         patch-hexenworld__Client__Makefile 
                         patch-hexenworld__Master__Makefile 
                         patch-hexenworld__Server__Makefile 
                         patch-launcher__Makefile 
                         patch-scripts__makefile.inc 
  Log:
  - Update to version 1.4.2.
  - Fix launcher Makefile (stock one was not working) [1].
  
  PR:             ports/117048
  Submitted by:   Pedro F. Giffuni <giffunip@tutopia.com>
  Reworked by:    alepulver [1]
  
  Revision  Changes    Path
  1.4       +2 -4      ports/games/uhexen2/Makefile
  1.2       +9 -12     ports/games/uhexen2/distinfo
  1.2       +12 -10    ports/games/uhexen2/files/patch-hexen2__Makefile
  1.2       +12 -10    ports/games/uhexen2/files/patch-hexenworld__Client__Makefile
  1.2       +6 -13     ports/games/uhexen2/files/patch-hexenworld__Master__Makefile
  1.2       +7 -7      ports/games/uhexen2/files/patch-hexenworld__Server__Makefile
  1.2       +20 -7     ports/games/uhexen2/files/patch-launcher__Makefile
  1.2       +7 -27     ports/games/uhexen2/files/patch-scripts__makefile.inc
  1.2       +2 -3      ports/games/uhexen2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"